// sandbox.c

#include <stdio.h>
#include <stdlib.h>
#include "sandbox.h"

int run_script_in_sandbox(const char *script_path) {
    char command[1024];

    // 构建 bubblewrap 命令，执行脚本
    snprintf(command, sizeof(command), "bubblewrap --ro-bind / / sh %s", script_path);

    int ret = system(command);
    if (ret != 0) {
        fprintf(stderr, "在沙盒中执行脚本失败。\n");
        return -1;
    }

    return 0;
}